
data(cancerRates)
breast_cancer_data <- cancerRates
new_x <- breast_cancer_data$Age
# new_y <- (breast_cancer_data$Incidence / breast_cancer_data$person.year)*100
new_y <- breast_cancer_data$Incidence
new_d <- data.frame(age=new_x, incidence_rate=new_y)

result <- fitS(new_d, 1, 2)

summary(result)
plot(result)



# Plot generation code below...

std_error <- summary(result$nlsOut)$coefficient[,"Std. Error"][[4]]
changepoint <- summary(result$nlsOut)$coefficient[,"Estimate"][[4]]
preMean <- result$pars['preMean']
postMean <- result$pars['postMean']

# Create plot
mtext("Sweden, 1990, Women age 40-50", side = 3, line = .5, cex = 0.8)
abline(v = changepoint, col = rgb(0, 100, 0, maxColorValue = 255), lty = 2)
text(changepoint, preMean+5, labels = paste("est. changepoint:", round(changepoint, 2)), col = rgb(0, 100, 0, maxColorValue = 255))
text(changepoint - 1, max(result$d$y) - 1.5, 
     labels = paste("(Std. Error: ", round(std_error, 2), ")", sep = ""), 
     col = "purple")

# Overlay preMean and postMean
text(changepoint - 2, preMean-1, labels = paste("preMean:", round(preMean, 2)), col = "blue")
text(changepoint + 5, postMean+1, labels = paste("postMean:", round(postMean, 2)), col = "red")
